package net.brokenmoon.redcontrol.mixin;

import com.simon816.j65el02.Cpu;
import com.simon816.j65el02.CpuState;
import com.simon816.j65el02.device.RedBusState;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;

@Mixin(Cpu.class)
public interface CpuAccessor {
    @Accessor(value = "redBusState",remap = false)
    RedBusState getRedBusState();
    @Accessor(value = "state",remap = false)
    CpuState getState();
}
